#pragma once
#include <map>
struct Fish_ArenaTurretCFGData
{
	//ID
	int mID;
	//开放倍率
	int mOpenRate;
	//竞技场积分加成
	int mArenaIntegral;
};

class Fish_ArenaTurretCFG
{
public:
private:
	static std::auto_ptr<Fish_ArenaTurretCFG> msSingleton;
public:
	int GetCount();
	const Fish_ArenaTurretCFGData* GetData(int ID);
	const std::map<int, Fish_ArenaTurretCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_ArenaTurretCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_ArenaTurretCFGData> mMapData;
};
